Inhalt

 LMD - Tools

Version 0.7ß

Contents

Information

  Introduction

  Installation

  Getting started...

  Technical Support

  Address, Fax, EMail

  Licence, Disclaimer

Referenz

  Components

  Routines

  Constants, Events, Types


Einführung

 LMD - Tools

Introduction

The LMD-Toolsconstitute a small collection of components with which was attached importance to a simple applicability. As the components still haven't been tested excessively we decided to publish this version as Public Beta or rather as Freeware, i.e. the components are fully functional and can be tied up in private or commercial programmes or rather be passed on to a third. We only make condition that our Copyright is preserved and the LMD-Tools remain unchanged.

We would be pleased about some critcism, some ideas and comments regarding this collection. That's why we ask for a great Feedback!


Installation

 LMD - Tools

Installation

The freeware version of the LMD-Tools includes no separate installation programm. Therefore you have  to unzip the supplied Zip-File at first in a directory of your will.

 Adding the components

1.	Start Delphi.

2.	Choose Install Components... from the Options menu.

3.	Choose Add to open the Add Module dialog box.

4.	In the Add Module dialog box, choose Browse.

5.	Select the directory that contains the LMD-Tools files, and then select the  LMDREG.PAS.

6.	Choose OK to close the browse dialog box.

7.	Choose OK to close the Add Module dialog box.

8.	Choose OK to close the Install Components dialog box and rebuild the library.

The LMD-Tools will appear at the end of the current palette.

 Adding the help keywords

 Delphi allows you to integrate any help file into the Delphi environment. To integrate the help file, follow these steps:

1.	Start the Help File Installer from the Delphi group (file HELPINST.EXE).

2.	Choose Open... from the File menu.

3.	Select the Delphi directory, select the BIN directory, and then select the DELPHI.HDX file.

4.	Choose Add Keyword File... from the Keywords menu.

5.	Select the directory that contains the LMD-Tools files, and then select the LMDHELPE.KWF file.

6.	Choose Save from the File menu.

The LMD-Tools help file should now be integrated to the Delphi environment.


Getting started...

 LMD - Tools

Getting started...

After you unzipped the Zip-File there will be created a directory called DEMOS which contains sub-directories that are divided up into different small Demos which fit to the corresponding components.


Technischer Support

 LMD - Tools

Technical Support

As this version is Freeware there's no claim to technical support. But we will try hard to answer as many inquiries as possible.

Please make them in writing or best you send them by e-mail!

You'll find the adresses or rather numbers at  Addresses/Fax/E-Mail.


Addressen/Nummern/EMAIL-Adressen

 LMD - Tools

Addresses/Fax/E-Mail

Adresse:	LMD Innovative

Vor der Hohler 17a

57080 Siegen

Faxnumber:	0271/356952

Compuserve:	100416,376

Internet:	100416,376@compuserve.com


Lizenzbestimmungen, Produkthaftung/Gewährleistung

 LMD - Tools

Licence Agreement

This Public-Beta Version of the LMD-Tools will be published as Freeware, i.e. that they are usable at will and can be passed on to a third. Wie presuppose that the files remain unchanged when they are passed on and the authors' copyright  won't be violated.

On no account you're alllowed to profit financially from passing on the files.

Warranty

The authors don't give any warranty of any kind, neither exlicitely nor implicitely, including - without limitation - all warranties of applicability and /or inapplicability for purposes of any kind.

The authors don't assume any liability for the utility value of this software beyond the purchase price of it.

Under no circumstances the authors are liable for consequential damages of any kind, including any loss of business profit and any pecuniary loss, or any other indirect or direct damages which arise by the use or the inapplicability of the software and its accompanying documentation. This is also valid if the authors were or are informed about the possibility of such damages.

Die Autoren geben keine Garantien irgendwelcher Art, weder ausdrücklich noch implizit, einschließlich unbegrenzt aller Garantien der Verwendbarkeit und/oder Nichtverwendbarkeit für irgendeinen Zweck.

Die Autoren übernehmen keine Verpflichtungen für den Gebrauchswert dieser Software über den Kaufpreis dieser Software hinaus.

Unter keinen Umständen ist der Autor haftbar für jedwede Folgeschäden, einschließlich aller entgangenen Gewinne und Vermögensverluste, oder anderen mittelbaren und unmittelbaren Schäden, die durch den Gebrauch oder die Nichtverwendbarkeit dieser Software und ihrer begleitenden Dokumentation entstehen. Dies gilt auch dann, wenn der Autor über die Möglichkeit solcher Schäden unterrichtet war oder ist.


Komponenten

  Overview LMD-Tools Components

Dialogues

  TLMDAboutDlg

  TLMDDirDlg

  TLMDTipDlg

System

 TLMDApp

 TLMDSysInfo

 TLMDFile

Graphic/Multimedia

 TLMDHiTimer

 TLMDScreenSaver

 TLMDJoyStick

 TLMDTile


Routinen

 LMD - Tools

Routines

The following additional usable routines are contained in the unit LMDTOOLS.DCU.

TIniFileExt=class(TIniFile)

This derived class inlarges standard functionality of the Inifile-Control by two more useful methods with which relevant data of a window can be saved quickly.

      Procedure SaveWinStatus(AForm:TForm; const Section:String);

      Procedure RestoreWinStatus(AForm:TForm; const Section:String);

The properties Left, Top, Width, Heigth as well as Windowstate are saved; these properties are restored by RestoreWinStatus.

function checkPath(path:string; flag:boolean):String;

It checks the details of a Path; it checks if the pathname ends by a '\'. If there must be a '\' at the end of the string the flag has to be set to true, otherwise the function deletes the eventually existing character.

function IsCDROM(DriveNum: Integer): boolean;

It checks, if the given number of the Drive  ("Drive A:" =0, "Drive B: "=1 etc.) is a CD-ROM-Drive.

procedure centerchild(frmParent:TForm; frmchild: TForm; flag:boolean);

It centers one form (frmchild) within another form (frmparent). If you still want this to be indicated modally the flag has to be set True.

procedure centerForm(frm:TForm);

It centers the given form onto the screen.


Konstanten, Events, Typen

 LMD - Tools

Constants, Events, Types

Used Types in the LMD-Tools

TActualData

TFileAction

TFileErrorCode

TFileOptions

TJoyStickButtons

TLanguageMode

TTileMode

TTileStatus

TTipsDlgMode

TWinFlags

Used Events in the LMD-Tools

TActionEvent

TErrorEvent

TJoystickEvent

TPWCheckEvent


ProduktInfo
 LMD-Tools

© 1995 by 	LMD Innovative

® 1995 by	Rafael Maricca &

Oliver Wieland


TLMDAboutDlg

 TLMDAboutDlg, Component

Look also	Properties	Methods

Unit

LMDAbout

Description

TLMDAboutDlg is a non-visual component, with which an "About-Box" can be displayed in an easy way.

The displayed text can be influenced by the properties CaptionTitle, Version, Copyright and Appname.

Two lines are available for the copyright -display. For being able to use the object-inspector for setting two-lined copyright-values a separator for the second line can be defined with the CopyDelimiter- property.

The Language of the default values is determinded by the Language-property.

Use the Execute- or ExecuteEnh-method to display the dialog.


TLMDAboutDlg - Siehe auch
Look also

TLMDDirDlg

TLMDTipDlg


TLMDAboutDlg- Eigenschaften
Properties

 Runtime only	  Key Properties

About	CopyDelimiter	Language

Appname	CopyRight	Version

CaptionTitle	Description


TLMDAboutDlg - Methoden
Methods

 Key Methods

 	Execute	ExecuteEnh


TLMDDirDlg

 TLMDDirDlg, Component

Look also	Properties	Methoden

Unit

LMDDir

Description

By this non-visual component the user can be given the possibilty to choose a path name quickly. Generally this dialog corresponds to the open-file dialog, only any kind of reference  to files and formats is missing here.

By the properties CaptionTitle and ShowLabelDir the display state of the dialog can be influenced. The property Path both sets and returns a path after displaying the dialog.

The Language of the default values is determinded by the Language-property.

Use the Execute- or ExecuteEnh-method to display the dialog. The method GetDir should be chosen for a fast display of the dialog (without prior settings of properties).


TLMDDirDlg - Siehe auch
Look also

TLMDAboutDlg

TLMDTipDlg


TLMDDirDlg - Eigenschaften
Properties

 Runtime only	  Key Properties

About	Language	ShowLabelDir

CaptionTitle	Path


TLMDDirDlg - Methoden
Methods

 Key Methods

 	Execute	GetDir

ExecuteEnh


TLMDTipDlg

 TLMDTipDlg, Component

Look also	Properties	Methods

Unit

LMDTip

Description

The popular Tips&Tricks-Dialog of the really well-known Business-Programs of a not less unknown producer of software can be simulated by this component.

By the properties CaptionTitle, CaptionHeader and CaptionHelp the display state of the dialog can be determined.

The  Tips are saved in a stringlist which can be filled at design-time using the object-inspector.

The dialog includes two modes with which the display of the dialog can be distinguished at start of program or during runtime.

In the first case the component checks if the property ShowAtStart is set and then decides wether the dialog should be displayed or not.

Besides the standard buttons (previous, next) a help button can be displayed additionally. It occurs if the HelpContext-value is set greater than 0.

The Language of the default values is determinded by the Language-property.


TLMDTipDlg - Siehe auch
Look also

TLMDAboutDlg

TLMDDirDlg


TLMDTipDlg - Eigenschaften
Properties

 Runtime only	  Key Properties

About	HelpContext	Tips

CaptionHeader	Language	TipsCount

CaptionHelp	Mode

CaptionTitle	ShowAtStart


TLMDTipDlg - Methoden
Methods

Key Methods

Execute	ExecuteEnh


TLMDApp

 TLMDApp, Component

Properties	Events

Unit

LMDAppl

Beschreibung

Unfortunately the properties of the application-object of a Delphi-application can only be set on runtime. Against that by this component you already get access to all essential properties at desing-time and you're able to attach event-handlers as usual.


TLMDApp - Eigenschaften
Properties

 Runtime only	  Key Properties

About	HintPause	Title

HelpFile	Icon

HintColor	ShowHint


TLMDApp - Events
Events

Key Events

OnActivate	OnHelp	OnMessage

OnDeactivate	OnHint	OnRestore

OnException	OnMinimize	OnShowHint

OnIdle


TLMDFile

 TLMDFile, Component

Properties	Methods	Events

Unit

LMDFile

Description

The TLMDFile-component contentrates a lot of operations which are possible with a single file. The remarkable thing about it ist that actions are started via properties instead of being started by method.

Examples:

1. For creating a new file you would have to write:

[ctrlname].aCreateFile:='Sample.TST';

2. For copying a file you would have to write:

[ctrlname].FileName:='Sample.TST';

[ctrlname].aCopyFile:='Sample2.TST';

    Sample.TST describes in this case the source file, Sample2.TST

    the destination file.

According to this these properties are write-only. You use the properties aExecuteFile, aMoveFile, aDeleteFile and aRenameFile by analogy.

Errors will result in OnError-Events. Besides each operation starts by firing an OnStart-event and will fire an OnEnd-event, if the action runs without any error. These events can be e.g. modfied to make diverse initial settings.

Besides the fore-going events there also exists the OnProgress-Event, which especially is suitable for copy and move actions to update a progress bar.

If the property Filename was given a valid filename numerous information about this file can be requested by the properties FileDate, FileTime, FilePath.

Diverse Settings which are to be regarded during the operations can be set by the property Optionen.


TLMDFile - Eigenschaften
Properties

 Runtime only	 Key Properties

About	FileAttributes	FileNameAlone

 aCopyFile	FileAttrShort	FileNameExt

 aCreateFile	FileDate    	FilePath

 aDeleteFile	FileExist	FileSize

 aExecuteFile	FileExt 	FileTime

 aMoveFile	FileName	Options

 aRenameFile	Processed


TLMDFile - Methoden
Methods

Key Methods

ExecuteFile	TestAttr

GetFileExecute


TLMDFile - Events
Events

Key Events

OnEnd	OnProgress

OnError	OnStart


TLMDSysInfo

 TLMDSysInfo, Component

Properties	Methods

Unit

LMDSysIn

Description

By the non-visual component TLMDSysInfo diverse information about current system settings can be requested in an easy way via properties.

Three of the properties can be requested as well by methods (FreeSys, FreeGDI, FreeUSR) with a Word-datatype as return value.


TLMDSysInfo - Eigenschaften
Properties

 Runtime only	 Key Properties

About	MemMaxBlock	WinPath

AllFonts	ScreenSaverDelay    	WinSysPath

AllPrinters	 	TempFileName

Environment	UserCompany

FreeGdiRes	Username

FreeSysRes	VersionDOS

FreeUsrRes	  	VersionWIN

MemFree	WinFlags


TLMDSysInfo - Methoden
Methods

Key Methods

FreeGDI	FreeUSR

FreeSys


TLMDHiTimer

 TLMDHiTimer, Component

Properties	Events

Unit

LMDHiTim

Description

The component TLMDHiTimer represents an alternative to the coressponding timer in the Delphi-VCL. As it is interrupt controlled high resolution intervals of one millisecond are possible (contrary to TTimer). But since at the same time more processor ressources are needed this component shouldonly be used if high resolution time-measurings are necessary, e.g. at MIDI-processing or at work with graphic and sprites.

Apart from that the component has been designed exactly like the TTimer-Component. That's why there should be no problems to use it.


TLMDHiTimer - Eigenschaften
Properties

 Runtime only	 Key Properties

About	MaxInterval

Enabled	MinInterval

 	Interval


TLMDHiTimer - Events
Events

Key Events

OnTimer


TLMDScreenSaver

 TLMDScreenSaver, Component

Properties	Events

Unit

LMDScrsv

Description

With the help of the TLMDScreensaver component the creation of a screensaver is a mere child's play! Place the component on a form - and the 'Blank-Screen'-screensaver is ready...

At bottom the screensaver is nothing else but an Exe-File what means that the development can proceed like that of an ordinary program. If the saver is finished the following steps have to be done by that Windows is able to realize the new created work as screensaver:

1.

Because of the missing of a real "Ressource-Editor" for Delphi (everybody who owns an Editor (e.g. RWS or Appstudio) is naturally able to change the version information in the ordinary way) the following line is best inserted into the project file of the screensaver (the *.dpr-file) before the word begin:

{$d SCRNSAVE: [name]}

[name] indicates the name of the screensaver.

2.

Now rename the file from [name].exe to [name].scr and copy the file into your Windows-directory. You are ready!

Naturally your own setup-dialog or rather your own password-dialog can be tied up. If such a dialog exists it has to be displayed at the OnSetupDlg-event.

A password can be managed with the properties PassWord and CheckPassWord. TLMDScreenSaver manages the saving of these properties into an Inifile automatically. Additionaly an instanced TInfile-Object (IniFile) is still available with which specific sata of the screensaver can be saved easily. In this connection the property Section makes the section available into which the component saves its data.

if the OnCheckPassWord-property is activated and if there is a valid password, the OnCheckPassWord-event will be fired if the user tries to leave the screensaver and at which you are able to insert own routines for checking the password or something similar.

Additionally to the both above mentioned events the OnSaverStart- and the OnSaverEnd-event are placed to your disposal by being able to execute initializations specifically for the screensaver or something similar.

As an additional useful possiblity the actual contents of the screen will be transfered into the property Bitmap if the property SaveBackGround is activated. This is important for screensavers with a (simulated) direct manipulation on the desktop.


TLMDScreenSaver - Eigenschaften
Properties

 Runtime only	 Key Properties

About	Color	SaveBackground

Bitmap	IniFile	Section

CheckPassWord 	PassWord	Title


TLMDScreenSaver - Events
Events

Key Events

OnCheckPassWord	OnSaverStart

OnSaverEnd	OnSetupDlg


TLMDJoyStick

 TLMDJoystick, Component

Properties	Methods	Events

Unit

LMDJoyst

Description

By the nonvisual component TLMDJoystick a simple access to the conntected Joystick(s) is made possible.

Besides the numerous status-properties the events OnJoyMove, OnJoyButtonUp, OnJoyButtonDown and OnChange have to be mentioned which allows a comparable processing as it exists at their mouse-"colleagues".

Errors in the initialization or errors in setting one of the properties can be deteced by the event OnInitError.


TLMDJoyStick - Eigenschaften
Properties

 Runtime only	 Key Properties

About	Enabled	PosZ

AttachedJoySticks	GetJoyStickCaps	Threshold

AvailableJoySticks	JoyStickId

ButtonPressed	 	Period

ButtonState 	PosX

Changed	PosY


TLMDJoyStick - Methoden
Methods

Key Methods

TestAvailable


TLMDJoyStick - Events
Events

Key Events

OnChange	OnJoyButtonDown	OnJoyMove

OnInitError	OnJoyButtonUp


TLMDTile

 TLMDTILE, Component

Properties

Unit

LMDTile

Description

This small component which is derived from TGraphicControl serves to fill the background of a container-control quickly with given textures or patterns (consisting of Bitmaps).


TLMDTile - Eigenschaften
Properties

 Runtime only	 Key Properties

About	ShowHint	Visible

Align	TileMode

Bitmap	TileStatus


TActualData

Type TActualData

Used for

Component TLMDFile

Declaration

TActualData=record

     Action     :TFileAction;

     Source     :String;

     Destination:String;

 end;

Description

The datatype TActualdata serves to simplify and to summarize the transfer parameters of the events of the component TLMDFile. The current action is stored in Action, the actually used filenames are stored in source and destination. Depending on the operation the original filename is in source (normally the property  Filename) and the new filename is in destination (e.g. in case of  copy/move operations). If there is only one parameter necessary for an action (e.g. aCreateFile ) the used value is stored in source. In this case Destination is an empty string.


TFileAction

Type TFileAction

Used for

Component TLMDFile

Declaration

TFileAction=(fcNone, fcChange, fcCreate, fcCopy, fcMove, fcDelete, fcRename, fcExecute);

Description

This type defines the possible actions in the component TLMDFile. This type is required especially in TActualData.

Following values are defined:

Value	Description

fcNone	no action

fcChange	change of file specification

fcCreate	createnew file

fcCopy	copy current file

fcMove	move current file

fcDelete	delete file

fcRename	rename file

fcExecute	execute file


TFileErrorCode

TypeTFileErrorCode

Used for

Component TLMDFile

Declaration

TFileErrorcode=(feNone, feErrorCreateFile, feErrorExecuteFile, feErrorOpenSrc, feErrorOpenDest, feFileAlreadyExist, feFileReadOnly, feFileNotExist, feFileDestSrcSame, feMoveSrcNotKilled, feDelFileNotKilled, feDateTimeConvErr, feDateTimeWriteErr, feSetAttrFailed, feRenameFailed, feChangeExtFailed, feParameterNull);

Description

TFileErrorcode specifies the possible errorcodes in the TLMDFile-component which are given back at the OnError-event.

Following values are defined:

Value	Description

feNone	no error

feErrorCreateFile	error creating file

feErrorExecuteFile	error executing file

feErrorOpenSrc	error open file

feFileAlreadyExist	the file to be overwrite already exists

feFileReadOnly	file is read-only

feFileNotExist	a given file doesn't exist

feFileDestSrcSame	source and destination-file are identical

feMoveSrcNotKilled	during a move-operation the source-file wasn't deleted

feDelFileNotKilled	during a delete-operation the given file wasn't deleted

feDateTimeConvErr	date/time cnvertion-erorr, the given value was not valid

feDateTimeWriteErr	error setting new date/time-value

feSetAttrFailed	error setting file attributes

feRenameFailed	error renaming file

feChangeExtFailed	error changing file extension

feParameterNull	Parameter is empty


TFileOptions

Type TFileOptions

Used for

Component TLMDFile

Declaration

FileOption=(foVerifyAction, foNewFileAsActual, foCopiedFileAsActual, foCopyTimeStamp);

TFileOptions=set of TFileOption;

Description

Defintion of the possible values for the property Options in the TLMDFile-component.


TJoyStickButtons

Type TJoyStickButtons

Used for

Component TLMDJoyStick

Declaration

TJoystickButton=(jbButton1,jbButton2,jbButton3,jbButton4);

TJoystickButtons=set of TJoystickButton;

Description

Possible values for pressed Joystick-buttons in the component TLMDJoyStick.


TJoyStickID

Type TJoyStickID

Used for

Component TLMDJoyStick

Declaration

TJoystickId= JOYSTICKID1..JOYSTICKID2;

Description

Describes the both possible values for the property JoyStickID (JOYSTICKID1 and JOYSTICKID2).


TLanguageMode

Type TLanguageMode

Used for

Component TLMDAboutDlg, TLMDDirDlg, TLMDTipDlg

Declaration

TLanguageMode=(lgEnglish, lgGerman);

Description

Possible values for the default language in the dialog components.


TTileMode

Type TTileMode

Used for

Component TLMDTile

Declaration

TTileMode = (tmTile, tmStretch, tmCenter, tmNone);

Description

Possible values for the property Tilemode in the component TLMDTile.


TTileStatus

Type TTileStatus

Used for

Component TLMDTile

Declaration

TTileStatus=(tsRunAndDesignTime, tsOnlyRuntime);

Description

Possible values for the property TileStatus in the component TLMDTile.


TTipsDialogMode

Type TTipsDialogMode

Used for

Component TLMDTipDlg

Declaration

TTipsDialogMode=(moStart, moNormal);

Description

Possible values for the property  Mode in the component TLMDTipDlg.


TWinFlags

Type TWinFlags

Used for

Component TLMDSysInfo

Declaration

TWinFlag=(wf80x87, wfCPU286, wfCPU386, wfCPU486, wfENHANCED, wfPAGING, wfPMODE, wfSTANDARD,  wfWIN286, wfWIN386);

TWinFlags=set of TWinFlag;

Description

Possible values for the property WinFlags in the component TLMDSysInfo.

Value	Description

win80x87	System contains an Intel math coprocessor.

winCPU286	System CPU is an 80286.

winCPU386	System CPU is an 80386.

winCPU486	System CPU is an i486.

winENHANCED	Windows is running in 386-enhanced mode. The winPMODE flag is always set when winENHANCED is set.

winPAGING	Windows is running on a system with paged memory.

winPMODE	Windows is running in protected mode. In Windows 3.1, this flag is always set.

winSTANDARD	Windows is running in standard mode. The winPMODE flag is always set when winSTANDARD is set.

winWIN286	Same as winSTANDARD.

winWIN386	Same as winENHANCED.


TActionEvent

Type TActionEvent

Unit

LMDFile

Declaration

TActionEvent=procedure(Sender:TObject; ActData:TActualData) of object;

Description

The type TActionEvent points at methods which react on events which are created by the component TLMDFile at runtime.


TErrorEvent

Type TErrorEvent

Unit

LMDFile

Declaration

TErrorEvent =procedure(Sender:TObject; Errorcode:TFileErrorcode;ActData:TActualData) of object;

Description

The type TErrorevent points at a method which reacts on the OnError-event which is created by the component TLMDFile at runtime.


TJoyStickEvent

Type TJoyStickEvent

Unit

LMDJoyst

Declaration

TJoyStickEvent=procedure(Sender:TObject;Buttons:TJoyStickButtons;X,Y:Word) of object;

Description

The type TActionEvent points at methods which react on diverse Joystick-events which are created by the component TLMDJoystick at runtime.


TPWCheckEvent

Type TPWCheckEvent

Unit

LMDScrsv

Declaration

TPWCheckEvent= Procedure(Sender:TObject; var CanClose:Boolean) of object;

Description

The type TActionEvent points at a method which reacts on an event  which is created by the component TLMDScreenSaver at runtime.


Property About

About, Property

Used for

All Components of the LMD-Tools

Declaration

property About:TAboutVar;

Description

This property is only available at designtime and serves to display an 'About-Dialog'. This property neither is saved nor its integrated in the final Exe-File.


Property About - 2
TAboutVar: DummyClass for displaying the 'About-Dialog'.


Property Appname

Appname, Property

Used for

TLMDAboutDlg

Declaration

property Appname:String;

Description

The title of the program or rather the product name can be specified in the About-Box with the help of this property. In general no value is entered, because the title of the project (or rather Application.Title) is set as default value automatically.


Property CaptionTitle

CaptionTitle, Property

Used for

TLMDAboutDlg, TLMDDirDlg, TLMDTipDlg

Declaration

property CaptionTitle:String;

Description

By this property the Title of the dialog box can be specified. If there doesn't exist any entry a default value is set.


Property CopyRight

Copyright, Property

Used for

TLMDAboutDlg

Declaration

property Copyright:String;

Description

A copyright-text can be specified with the help of this property. This section can consist of two lines. During runtime they are separated by #13. If the property should already specified with two lines at designtime, the given separator in the property CopyDelimiter has to be used.


Property CopyDelimiter

CopyDelimiter, Property

Used for

TLMDAboutDlg

Declaration

property CopyDelimiter:Char;

Description

Separater which already enabled a two line entry of the property Copyright  at designtime.

Following characters are allowed: "@", "#", "~", "%",  "$", "&"


Property Description

Description, Property

Used for

TLMDAboutDlg

Declaration

property Description:String;

Description

This line is under the product title and can be used for a more precise description of the title. An entry is optional and there doesn't exist any default value.


Property Language

Language, Property

Used for

TLMDAboutDlg, TLMDDirDlg, TLMDTipDlg

Declaration

property Language:TLanguageMode;

Description

With the help of this property you are able to choose the prefered language for default values.

The default value is lgEnglish. If you prefer the german language you have to choose lgGerman.


Property Version

Version, Property

Used for

TLMDAboutDlg

Declaration

property Version:String;

Description

By this property a version number, a release number or a registration number can be placed under the Description-line. This description is optional and there doesn't exist any default value.


Method Execute

Execute, Methode

Used for

TLMDAboutDlg, TLMDDirDlg, TLMDTipDlg

Deklaration

function Execute:Boolean;

Description

The Execute-method displays the corresponding dialogbox. If the dialogbox isn't displayed or an error occured the method returns False.


Method ExecuteEnh

ExecuteEnh, Methode

Used for

TLMDAboutDlg, TLMDDirDlg, TLMDTipDlg

Declaration

TLMDAboutDlg,

TLMDDirDlg:	function ExecuteEnh(aForm:TForm):Boolean;

TLMDTipDlg:	function ExecuteEnh(aForm:TForm; Mode:TTipsDialogmode):Boolean

Description

The ExecuteEnh-method displays the corresponding dialogbox. With the help of the parameter aForm a window can be given (normally the main window of the application) in which the dialog is displayed centered . If the dialogbox isn't displayed or an error occured the method returns False.

The TipDialog additionally offers the the possibility to specify the display mode of the dialog.


Property ShowLabelDir

ShowLabelDir, Property

Used for

TLMDDirDlg

Declaration

property ShowLabelDir:Boolean;

Description

If this property is set true the current path is displayed as text above the drive-list.


Property Path

Path, Property

Used for

TLMDDirDlg

Declaration

property Path:String;

Description

This property sets or supplies the path for the directory-dialogbox. The Execute-method of the TLMDDirDlg-method only returns True if the pathname has been choseb by the user.


Method GetDir

GetDir, Methode

Used for

TLMDDirDlg

Declaration

Procedure GetDir(const title:String; var aPath:String);

Description

Besides the both Execute-variants this method is also be able to request  for the path.The result will be returned in the aPath-parameter.


Property CaptionHeader

CaptionHeader, Property

Used for

TLMDTipDlg

Declaration

property CaptionHeader:String;

Beschreibung

With the help of this property a title can be set for the tips (e.g. Tips if the day or somethin similar). The default value is 'Tips...'.


Property CaptionHelp

CaptionHelp, Property

Used for

TLMDTipDlg

Declaration

property CaptionHelp:String;

Description

With the help of this property the text - if existing - of the help button can be set. A help button will be displayed if the property HelpContext is set greater than 0. This property e.g. is useful if the user has to been given the possibility, e.g. to branch off to a help file with some more information.


Property HelpContext

HelpContext, Property

Used for

TLMDTipDlg

Declaration

property HelpContext:THelpContext;

Description

With the help of this property a help button can be displayed. Therefore a value >0 has to be given. A caption for the button can be specified by the property CaptionHelp.


Property Mode

Mode, Property

Used for

TLMDTipDlg

Declaration

property Mode:TTipsDialogMode;

Description

The property mode determines if the property ShowAtStart is paid attention or if it is ignored. In the mode moStart the dialogbox isn't indicated if ShowAtStart is False. In the mode moNormal the dialog is displayed inrespective of this property.


Property ShowAtStart

ShowAtStart, Property

Used for

TLMDTipDlg

Declaration

property ShowAtStart:Boolean;

Description

With the help of this property  you set or receive the boolean-value  for displaying the TipDialog at the start of the program. The property Mode determines if ShowAtStart is of importance when the TipDialog is displayed.


Property Tips

Tips, Property

Used for

TLMDTipDlg

Declaration

property Tips:TStrings;

Description

As a rule the tips are edited with the object-inspectorusing the stringlisteditor (one line = one tip). Of course other TStrings-Objects can be assigned to this property. Naturally all properties of the object TStrings  are valid.


Property TipsCount

TipsCount, Property

Used for

TLMDTipDlg

Declaration

property TipsCount:Integer;

Description

Read-only. With this property you get the number of 'Tips', which are assigned to the TLMDTipDlg.


Property aCreateFile

aCreateFile, Eigenschaft

Used for

TLMDFile

Declaration

property aCreateFile:TFileName;

Description

Runtime and write-only.

With the help of the property aCreateFile a new file can be created, e.g.

aCreateFile:='Sample.TST'

aCreateFile:='C:\Hello\SAMPLE.TST'

creates a new file called Sample.TST in the current directory or in the second example in the directory C:\Hello. Depending on the flags which were set in the property Options there may happen an  error event.


Property aDeleteFile

aDeleteFile, Property

Used for

TLMDFile

Declaration

property aDeleteFile:TFileName;

Description

Runtime and write only.

With the help of the property aDeleteFile any file can be deleted. If only an empty string has been assigned, the file actually specified to the property Filename will be deleted.


Property aExecuteFile

aExecuteFile, Property

Used for

TLMDFile

Declaration

property aExecuteFile:TFileName;

Description

Runtime and write only.

With the help of this property a file can be executed if the filename is that one of an Exe-, COM or  BAT-File. If there is no filename set (aExecuteFile:='') the file which is specified in the property Filename

will try to be started. Also Look the method GetFileExecute.


Property aMoveFile

aMoveFile, Eigenschaft

Used for

TLMDFile

Declaration

property aMoveFile:TFileName;

Description

Runtime and write only.

In the case of using this property a sourcefile has already been assigned to the property Filename, because with the help of aMoveFile the destination file for the moving process will be given. In this connection it is possible to set either a complete filename or merely a path (in this case the file keeps its name).

Example for a moving operation:

FileName:='c:\hello\sample.tst';

aMoveFile:='c:\dos';

This example shows how the file sample.tst is moved into the directory c:\dos.


Property aCopyFile

aCopyFile, Eigenschaft

Used for

TLMDFile

Declaration

property aCopyFile:TFileName;

Description

Runtime and write only.

In the case of using this property a sourcefile has already been assigned to the property Filename, because with the help of aCopyFile the destination file for the copying process will be given.

In this connection it is possible to set either a complete filename or merely a path (in this case the file keeps its name).

Example for a copy operation:

FileName:='c:\hello\sample.tst';

aCopyFile:='c:\dos';

This example shows how the file sample.tst is copied into the directory c:\dos.


Property aRenameFile

aRenameFile, Eigenschaft

Used for

TLMDFile

Declaration

property aRenameFile:TFileName;

Description

Runtime and write only.

In the case of using this property a sourcefile has already been assigned to the property Filename, because with the help of aCopyFile the destination file for the copying process will be given.

In this connection it is possible to set either a complete filename or merely a path (in this case the file keeps its name).

Example for a rename-action:

FileName:='c:\hello\sample.tst';

aRenameFile:='hello.tst';

This example shows how the file sample.tst in the directory C:\Hello is renamed into hello.tst.


Property FileAttributes

FileAttributes, Property

Used for

TLMDFile

Declaration

property FileAttributes:TFileType;

Description

Sets or reads the file properties of the file which is given in Filename. At the moment solely the following file properties are able to manipulated: ftReadOnly, ftHidden, ftSystem, ftArchive. With the help of the property FileAttrShort a summary of these 4 atributes can be got in string-format.


Property FileAttrShort

FileAttrShort, Property

Used for

TLMDFile

Declaration

property FileAttrShort:String;

Description

Read only. Analyses the result which has been received in FileAttributes and returns a summary of the attributes ftReadOnly, ftHidden, ftSystem, ftArchive in string-formatin ("rhsa").

Example: r--a

This file contains the attributes ReadOnly and Archived.


Property FileDate

FileDate, Eigenschaft

Used for

TLMDFile

Declaration

property FileDate:String;

Description

Sets or reads the date of the creation or the date of the last processing of the file which is given in Filename. Look also FileTime.

Example:

LMDFile1.Filename:='Sample.TST';

LMDFile1.FileDate:='01.01.1901';

This example shows how 01.01.1901 is set as the new file date.


Property FileExist

FileExist, Property

Used for

TLMDFile

Declaration

property FileExist:Boolean;

Description

Read only. Returns a Fileexist-flag of the current file. Naturally this property is true nearly all the time, except if for example the hidden-attribut is set.


Property FileExt

FileExt, Eigenschaft

Used for

TLMDFile

Declaration

property FileExt:String;

Description

Sets or reads the file extension (like '.pas' oder '.dpr').

Example:

LMDFile1.Filename:='Sample.TST';

LMDFile1.FileExt:='.DEF';

This example shows how the filename Sample.TST is changed into Sample.DEF.


Property Filename

Filename, Property

Used for

TLMDFile

Declaration

property Filename:TFileName;

Description

This is the most important property of the component TLMDFile because it is the starting point for allmost all file operations. If e.g. no filename is set all operations or properties which relate to a file are of  useless.

Already at designtime direct manipulations of a file are possible.

Please specify therefore a filename for the property FileName and then look at all file related properties like FileExt, FileTime or Filedate.


Property FileNameAlone

FilenameAlone, Property

Used for

TLMDFile

Declaration

property FilenameAlone:String;

Description

Read only. The property only returns the mere name of Filename without any fileextension and file path. E.g. 'C:\Hello\Sample.TST' would result in  'Sample'.


Property FileNameExt

FilenameExt, Property

Used for

TLMDFile

Declaration

property FilenameExt:String;

Description

Read only. The property only returns the name and fileextension of Filename without any filepath. E.g. 'C:\Hello\Sample.TST' would result in  'Sample.TST'.


Property FilePath

Filepath, Property

Used for

TLMDFile

Declaration

property FilePath:String;

Description

Read only. This property returns the file path of  Filename. E.g. 'C:\Hello\Sample.TST' would result in 'C:\Hello\'.


Property Filesize

Filesize, Property

Used for

TLMDFile

Declaration

property Filesize:LongInt;

Description

Read only. This property displays the size of the file which is specified in Filename in bytes.


Property FileTime

FileTime, Eigenschaft

Used for

TLMDFile

Declaration

property FileTime:String;

Description

Sets oder reads the time of creation or the time of the last processing of the file which is given in Filename. Look also FileDate.

Example:

LMDFile1.Filename:='Sample.TST';

LMDFile1.FileDate:='01:00:00';

This example shows how 1 a.m. is set as new time.


Property Options

Options, Property

Used for

TLMDFile

Declaration

property Options:TFileOptions;

Description

With the help of this property diverse options for the file operations can be set.

Wert	Description

foVerifyAction	If this flag is set, the TLMDFile doesn't overwrite an existing file (e.g. in case of copy or move-operations) but fires an OnError-event.

foNewFileAsActual	if this flag is set a file which is created by aCreateNewFile is set as current file for the property Filename.

foCopiedFileAsActual	If this flag is set a file which is copied by aCopyFile is set as current file for the property Filename.

foCopyTimeStamp	If this flag is set the date of the sourcefile is kept up in the destination file during copy operations. Otherwise the actual systemtime is set.


Property Processed

Processed, Property

Used for

TLMDFile

Declaration

property Processed:Byte;

Description

All actions (but only in case of copy and move-operations it is advantageous) update the Proecessed property automatically which shows how many percent of the current action have already been executed. This property fits to display a feedback in the status lines or in a progress meter.


Method ExecuteFile

ExecuteFile, Methode

Used for

TLMDFile

Declaration

function ExecuteFile(const FileName:String; ShowCmd: Integer): THandle;

Description

With the help of this function the property aExecuteFile can be simulated in case of more flexibility. The parameter Filename specifies the file which should be executed. ShowCMD is able to contain the following values (if the constans are used, please include the unit Wintypes!).

Value	Description

SW_HIDE	Hides the window and passes activation to another window.

SW_MINIMIZE	Minimizes the specified window and activates the top-level window in the system's list.

SW_RESTORE	Activates and displays a window. If the window is minimized or maximized, Windows restores it to its original size and position (same as SW_SHOWNORMAL).

SW_SHOW	Activates a window and displays it in its current size and position.

SW_SHOWMAXIMIZED	Activates a window and displays it as a maximized window.

SW_SHOWMINIMIZED	Activates a window and displays it as an icon.

SW_SHOWMINNOACTIVE	Displays a window as an icon. The window that is currently active remains active.

SW_SHOWNA	Displays a window in its current state. The window that is currently active remains active.

SW_SHOWNOACTIVATE	Displays a window in its most recent size and position. The window that is currently active remains active.

SW_SHOWNORMAL	Activates and displays a window. If the window is minimized or maximized, Windows restores it to its original size and position (same as SW_RESTORE).


Method GetFileExecutable

GetFileExecutable, Methode

Used for

TLMDFile

Declaration

function GetFileExecutable:TFileName;

Description

Searches the Exe-file which appertains to the filename that is specified in the property Filename so far ais it doesn't already concern a file which can be executed.

Example:

If the filename was 'c:\test\test.dpr' the method would return the path and the filename from Delphi.


Method TestAttr

TestAttr, Methode

Used for

TLMDFile

Declaration

function TestAttr(const aValue: TFileName; Attr: Word):Boolean;

Description

The method Testattr tests the file which is given in avalue wether this file contains the specified file attribute.

Possible Attributes are:

Konstante	Wert	Description

faReadOnly	$01	Read-only files

faHidden	$02	Hidden files

faSysFile	$04	System files

faVolumeID	$08	Volume Label

faDirectory	$10	Directory attribute set

faArchive	$20	Archived files

faAnyFile	$3F	All files


Event OnEnd

OnEnd, Event

Used for

TLMDFile

Declaration

property OnEnd:TActionEvent;

Description

This event gets started if the setting of one the aXXXXXFile-properties was executed without any error. This event can be used four diverse terminating steps, e.g. to update a progress meter. With  the help of the parameter Actualdata the executive operation can be ascertained definitely.


Event OnError

OnError, Event

Used for

TLMDFile

Declaration

property OnError:TErrorEvent;

Description

This event is started if an error occurred in the case of an operation of the component TLMDFile. Please consider that this event can be called in certain cases when certain Optionen were set. With the help of the parameter Actualdata and the errorcode ErrorCode the executed operation as well as the error are able to be ascertained definitely and if necessary a special error-handler can be executed.


Event OnProgress

OnProgress, Event

Used for

TLMDFile

Declaration

property OnProgress:TActionEvent;

Description

This event is started during th execution of aXXXXFile-properties. Especially in the case of lengthy operations a progress meter or something similar is to be ralized really simply by requesting of the property Processed.


Event OnStart

OnStart, Event

Used for

TLMDFile

Declaration

property OnStart:TActionEvent;

Description

This event gets started before a change of an aXXXXXFile-property takes place. Thus it can be used for various initializing actions, e.g. to put back a progress meter. With the help of the parameter Actualdata the executive operation can be ascertained definitely.


Property AllFonts

AllFonts, Property

Used for

TLMDSysInfo

Declaration

property AllFonts:TStrings

Description

Read only. This property returns all the available fonts in a stringlist.


Property AllPrinters

AllPrinters, Property

Used for

TLMDSysInfo

Declaration

property AllPrinters:TStrings

Description

Read only. This property returns all the available printers of the system in a stringlist.


Property Environment

Environment, Property

Used for

TLMDSysInfo

Declaration

property Environment:TStrings

Description

Read only. The property returns the environment variable of the system (Autoexec.Bat: Path=...; Temp:=.... usw.).


Property FreeGDIRes

FreeGDIRes, Property

Used for

TLMDSysInfo

Declaration

property FreeGDIRes:String;

Description

Read only. The property returns as string (with character '%') free GDI-ressources of the system.


Property FreeUsrRes

FreeUSRRes, Property

Used for

TLMDSysInfo

Declaration

property FreeUSRRes:String;

Description

Read only. The property returns as string (with character '%') free system capacities of User-ressources.


Property FreeSysRes

FreeSysRes, Property

Used for

TLMDSysInfo

Declaration

property FreeSysRes:String;

Description

Read only. The property returns as string (with character '%') free system ressources.


Property MemMaxBlock

MemMaxBlock, Property

Used for

TLMDSysInfo

Declaration

property MemMaxBlock:LongInt;

Description

Read only. The MemMaxBlock property returns the size of the largest contiguous free block in the heap.  MemMaxBlock returns the larger of:

-	The largest free blocks within the heap manager's sub-allocation space

-	The Windows global heap

The value corresponds to the size of the largest dynamic variable that can be allocated at that time.

To find the total amount of free memory in the heap, check MemFree.


Property MemFree

MemFree, Property

Used for

TLMDSysInfo

Declaration

property MemFree:LongInt;

Description

Read only.  Returns the amount of available memory, in bytes.

Note that a contiguous block of storage the size of the returned value is unlikely to be available due to fragmentation of the heap. To find the largest free block, use the MemMaxBlock property.

In standard mode, the value returned represents the number of bytes in the global heap that are not used and that are not reserved for code.

In 386-enhanced mode, the return value is an estimate of the amount of memory available to an application. It does not account for memory held in reserve for non-Windows applications.


Property ScreenSaveDelay

ScreenSaverDelay, Property

Used for

TLMDSysInfo

Declaration

property ScreenSaverDelay:LongInt;

Beschreibung

Read only. The ScreenSaverDelay property returns the screen-saver delay time-out as minutes.


Property TempFileName

TempFileName, Property

Used for

TLMDSysInfo

Declaration

property TempFileName:String;

Description

Runtime and read only.

This property returns a unique filename which as a rule used for temporary files. If a temporay directory is set, this one will be used.

Caution!

At the same time this property is requested the file will also be created. Therefore the property is only to be used if there is a  real need for a temporary file.


Property UserCompany

UserCompany, Property

Used for

TLMDSysInfo

Declaration

property UserCompany:String;

Description

Read only. Returns the company name as it was set at the installation of Windows.


Property Username

UserName, Property

Used for

TLMDSysInfo

Declaration

property UserName:String;

Description

Read only. Returns the username as it was set at the installation of Windows.


Property VersionDOS

VersionDOS, Property

Used for

TLMDSysInfo

Declaration

property VersionDOS:String;

Description

Read only. Returns the version number of DOS as String.


Property VersionWIN

VersionWIN, Property

Used for

TLMDSysInfo

Declaration

property VersionWIN:String;

Description

Read only. Returns the version number of Windows as String.


Property Winflags

WinFlags, Property

Used for

TLMDSysInfo

Declaration

property WinFlags:TWinFlags;

Description

Read only. Returns information about processor type, an existing coprocessor, Windows mode etc.


Property WinPath

WinPath, Property

Used for

TLMDSysInfo

Declaration

property Winpath:String;

Description

Read only. Returns the directory in which Windows was installed.


Property WinSysPath

WinSysPath, Property

Used for

TLMDSysInfo

Declaration

property WinSysPath:String;

Description

Read only. Returns the Windows system-directory.


Method FreeGDI

FreeGDI, Methode

Used for

TLMDSysInfo

Declaration

function FreeGDI:Word;

Description

Analogous to property FreeGDIRes. Return type is Word though.


Method FreeSys

FreeSys, Methode

Used for

TLMDSysInfo

Declaration

function FreeSys:Word;

Description

Analogous to property FreeSysRes. Return type is Word though.


Method FreeUSR

FreeUSR, Methode

Used for

TLMDSysInfo

Declaration

function FreeUSR:Word;

Description

Analogous to property FreeUSRRes. Return type is Word though.


Property MaxInterval

MaxInterval, Property

Used for

TLMDHiTimer

Declaration

property MaxInterval:Word;

Description

Read only. Returns the greatest possible interval in milliseconds for the component TLMDHiTimer.


Property MinIntervall

MinInterval, Property

Used for

TLMDHiTimer

Declaration

property MinInterval:Word;

Description

Read only. Returns the smallest possible interval in milliseconds for the component TLMDHiTimer (idealy=1).


Property Bitmap

Bitmap, Property

Used for

TLMDScreenSaver

Declaration

property Bitmap:TBitmap;

Description

Runtime only. If the property SaveBackground has been set true the desktop background is saved in this bitmap when the screensaver is activated and it can be used for various operations which are applicable to bitmaps or it can serve as basis for graphical data.


Property CheckPassWord

CheckPassWord, Property

Used for

TLMDScreenSaver

Declaration

property CheckPassWord:Boolean;

Beschreibung

Runtime only. This property is managed automatically by the Component, i.e. it is saved automatically when the screensaver is terminated and is restored when the screensaver is called. The same is valid for the property Password.

If CheckPassWord is set true and Password doesn't contain an empty string the event OnCheckPassWord is fired  before the screensaver is ending in the course of which a password request can be executed.


Property Inifile

IniFile, Property

Used for

TLMDScreenSaver

Declaration

property IniFile:TIniFile;

Description

Runtime only. This property is managed by the component automatically what means that it is instanced at the beginning of the runtime and is freed again at the end of the runtime of the screensaver. All the methods and properties of the TInifileObject are naturally available. With the help of the property Section the data which are specific for the screensaver can be saved easily.


Property PassWord

PassWord, Property

Used for

TLMDScreenSaver

Declaration

property Password:String;

Description

Runtime only. This property is managed by the component automatically what means that it is saved automatically when the screensaver is ending and is restored when the screensaver is called. The same is valid for the property CheckPassPassword.

If CheckPassWord is set True and if the password doesn#t contain an empty string the event OnCheckPassword is fired before the screen saver is ending in the course of which a password request can be executed.


Property SaveBackground

SaveBackGround, Property

Used for

TLMDScreenSaver

Declaration

property SaveBackground:Boolean;

Beschreibung

With the help of this property it is determined wether the desktop background is to be saved automatically in the property Bitmap when the screensaver is started.


Property Section

Section, Eigenschaft

Used for

TLMDScreenSaver

Declaration

property Section:String;

Description

Runtime only. With the help of this property Ini-data can be saved in the same section where it is executed by the compoent itself. Thus only the name of the property and the value still have to be specified when a method of a the object Inifile is called, e.g.

  with TLMDScreenSaver1 do

      inifile.WriteInteger(section, [IDENT], [Value]);

[IDENT] and [Value] describes the Identstring and the value which has to be saved.


Event OnCheckPassword

OnCheckPassWord, Event

Used for

TLMDScreenSaver

Declaration

property OnCheckPassWord:TPWCheckEvent;

Description

This event is fired when you leave the screensaver if CheckPassword is set true and the property doesn't contain an empty string. If the user enters a wrong Password into your password dialog the parameter CanClose can be set to false in order to prevent the leave of the screensaver.


Event OnSaverEnd

OnSaverEnd, Event

Used for

TLMDScreenSaver

Declaration

property OnSaverEnd:TNotifyEvent;

Description

This event will be fired if the saver tries to free all allocated memory. Here objects (such as e.g. a Timer) or other data can be used finally.


Event OnSaverStart

OnSaverStart, Event

Used for

TLMDScreenSaver

Declaration

property OnSaverStart:TNotifyEvent;

Beschreibung

This event is fired if the screensaver is instanced. Here objects (such as e.g. a timer) or other data which are important for the run of the screensaver can be initialized.


Event OnSetupDlg

OnSetupDlg, Event

Used for

TLMDScreenSaver

Declaration

property OnSetupDlg:TNotifyEvent;

Description

This event will be fired if Windows tries to call the confuration dialog of the screensaver. If you implemented such a configuration dialog you have to use the IniFile-object to display and to save the relevant data.


Property TileMode

TileMode, Property

Used for

TLMDTile

Declaration

property TileMode:TTileMode;

Description

With the help of the property Tilemode the display of the bitmap which is assigned to the component can be influenced:

value	Description

tmNone	The bitmap is displayed im the left, upper corner. The control acts like a simple TImage Control.

tmTile 	The entire space of the control is filled up with the bitmap in its original size

tmStretch	The entire space of the control is filled up with the bitmap by enlarging it.

tmCenter	The bitmap is displayed horizontally and vertically centered inside the control.


Property TileStatus

TileStatus, Property

Used for

TLMDTile

Declaration

property TileStatus:TTileStatus;

Description

With the help of this property you're able to determine if the functions of the property TileMode are to have an effect at design and runtime time (tsRunAndDesignTime) or only at runtime (tsOnlyRunTime).


Property AttachedJoySticks

AttachedJoySticks, Property

Used for

TLMDJoystick

Declaration

property AttachedJoySticks:Byte;

Description

Runtime and read only. Returns the number of the real connected Joysticks.


Property ButtonPressed

ButtonPressed, Property

Used for

TLMDJoystick

Declaration

property ButtonPressed:Byte;

Beschreibung

Runtime and read only. Returns wether a Joystickbutton is pressed,


Property ButtonState

ButtonState, Property

Used for

TLMDJoystick

Declaration

property ButtonState:TJoyStickButtons;

Description

Runtime and read only. Returns which Joystickbuttons are pressed at the moment. The following values are possible: jbButton1(Button 1), jbButton2(Button 2), jbButton3(Button 3) and  jbButton4(Button4).


Property Changed

Changed, Property

Used for

TLMDJoystick

Declaration

property Changed:Boolean;

Description

This property shows if each change in movement is to create an event or if it is only to create such events which are greater than that ones which are given in the property Threshold. If this property is set False there may happen a lot of fired events.


Property GetJoyStickCaps

GetJoyStickCaps, Property

Used for

TLMDJoystick

Declaration

property GetJoyStickCaps:TJoyCaps;

Description

Runtime and read only. This property returns the capabilities of the Joystick you have chosen. Normally it isn't necessary to use this property because the essential elements are made available by other properties. If the TJoyCaps-structure is to be used in your own programmes the unit MMSystem hast to be tied up. Some more informaton are in the MMSystem.HLP in the BIN-directory of Delphi.


Property JoystickID

JoyStickID, Property

Used for

TLMDJoystick

Declaration

property JoyStickID:TJoyStickID;

Description

By this important property you determine which Joystick is to be adressed. In order to ascertain if this one is able to be addressed at runtime you can use the method TestAvailable. In order to ascertain from the beginning if it is technically possible to address a Joystick the properties AttachedJoySticks and AvailableJoysticks can be used.


property AvailableJoySticks

AvailableJoySticks, Property

Used for

TLMDJoystick

Declaration

property AvailableJoySticks:Byte;

Description

Runtime and read only. With the help of this property you can ascertain how many Joysticks would be technically possible in the current system. In order to ascertain the real number you have to use the property AttachedJoySticks.


Property Period

Period, Property

Used for

TLMDJoystick

Declaration

property Period:WORD;

Description

With the help of this prperty the period or rather the interval with which a Joystick is checked on changes is able to be determined.


Property Position

Position, Property

Used for

TLMDJoystick

Declaration

property Position:TPoint;

Description

Runtime and read only. By this property the current x-position amd the current y-positionof the actual chosen Joystick can be requested inside a TPoint-Structure.


Property PosX, PosY, PosZ

PosX, PosY, PosZ (Properties)

Used for

TLMDJoystick

Declaration

property 	PosX:Word;

PosY:Word;

PosZ:Word;

Description

Runtime and read only. By these properties the current positions are able to be analysied very quickly. A range from 0 to 65535 results from the variable type.


Property Threshold

Threshold, Property

Used for

TLMDJoystick

Declaration

property Threshold:Word;

Description

By this property a treshold can be given from which onward events are to be created when thr property Changed is set.


Method TestAvailable

TestAvailable, Methode

Used for

TLMDJoyStick

Declaration

function TestAvailable(aValue:TJoyStickID):Boolean;

Description

By this property you are able to test if the Joystick which is given in JoyStickID is really available. Possible sources of error are:

- there is no Joytick connected

- wrong JoystickID

- Joystick is still controlled by another control


Event OnChange

OnChange, Event

Used for

TLMDJoystick

Declaration

property OnChange:TNotifyEvent;

Description

This event will be fired if settings at the Joystick or even the JoystickID itself change.


Event OnInitError

OnInitError, Event

Used for

TLMDJoystick

Declaration

property OnInitError:TNotifyEvent;

Description

This event will be fired if there occurs an error during the initalization or if settings change.


Event OnJoyButtonDown

OnJoyButtonDown, Event

Used for

TLMDJoystick

Declaration

property OnJoyButtonDown:TJoystickEvent;

Description

This event will be fired if one joystickbutton or several ones are pressed. In the parameter Buttons the pressed buttons are returned (also look  ButtonState - they are analysed the same way).


Event OnJoyButtonUp

OnJoyButtonUp, Event

Used for

TLMDJoystick

Declaration

property OnJoyButtonUp:TJoystickEvent;

Description

This event will be fired if one joystickbutton or several ones are released. In  the parameter Buttons the pressed buttons are returned (also look ButtonState - they are analysed the same way).


Event OnJoyMove

OnJoyButtonMove, Event

Used for

TLMDJoystick

Declaration

property OnJoyButtonDown:TJoystickEvent;

Description

This event will be fired if the cursor position changes. How many times this event will be fired decisively depends on the setting of the properties Changed and Threshold.  In the parameter Buttons the pressed buttons are returned (also look ButtonState - they are analysed the same way)